Eclipse Platform Release 3.7

## org.eclipse.swt.custom
Interface PaintObjectListener

All Superinterfaces:
  EventListener, org.eclipse.swt.internal.SWTEventListener

    public interface PaintObjectListener

extends org.eclipse.swt.internal.SWTEventListener

This listener is invoked when an object needs to be drawn.

Since:
  3.2

Method Summary
`void` `paintObject(PaintObjectEvent event)` This method is called when an object needs to be drawn.

Method Detail

### paintObject

    void paintObject(PaintObjectEvent event)

  This method is called when an object needs to be drawn.

  The following event fields are used:

  - event.x the x location (input)
  - event.y the y location (input)
  - event.ascent the line ascent (input)
  - event.descent the line descent (input)
  - event.gc the gc (input)
  - event.style the style (input)

  Parameters:
    `event` - the event
  See Also:
    `PaintObjectEvent`, `StyledText.addPaintObjectListener(PaintObjectListener)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.